Search the Community
Showing results for tags 'block manager'.
-
Hi,all I'm stuck in this lisp the result give 3 digit how can i resolve it to work with 2 digit see attached file. any help appreciated. (defun c:natt(/ snum enum ip ats blist) (setq snum 1) (if (setq ssBlks(ssget '((0 . "insert") (66 . 1)))) (progn (vlax-for n (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object) ) ) (setq ip (vlax-get n 'insertionpoint)) (setq ats (vlax-invoke n 'getattributes)) ;;make list of elements (insertion point . first attribute object) (setq blist (cons (cons ip (car ats)) blist)) ) ;;sort into rows and columns left to right and top down (setq blist (vl-sort blist '(lambda (a b) (if (equal (cadar a) (cadar b) 0.001) (< (caar a) (caar b)) (> (cadar a) (cadar b)) ) ) ) ) (setq enum (sslength ssBlks)) (setq i snum) (foreach n blist (vla-put-textstring (cdr n) (strcat "0" (itoa i))) (setq i (1+ i)) (if (> i enum) (setq i snum) ) ) ) ) (princ) )
-
Hi, I am looking for LISP application that can do the following: 1. Manage a Library of Blocks (the blocks can be of two types: a drawing with numerous blocks or a folder with each block written to a dwg file) 2. Open a Block and turn first-level elements color and linetype to BYBLOCK Thanks you in advance.